> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Used to get a list of previously created user profiles. All user profiles may be returned or lists of user profiles of a certain type if criteria are provided.

Further information on user profiles, device profiles and attributes can be found in the [guide on user data](https://docs.xtremepush.com/docs/users).

## OpenAPI

````json POST /list/profile
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/list/profile": {
      "post": {
        "summary": "List",
        "description": "Used to get a list of previously created user profiles. All user profiles may be returned or lists of user profiles of a certain type if criteria are provided.\n\nFurther information on user profiles, device profiles and attributes can be found in the [guide on user data](https://docs.xtremepush.com/docs/users).",
        "operationId": "user-profile-list",
        "deprecated": "false",
        "requestBody": {
          "required": "true",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "order": {
                    "type": "array",
                    "description": "Order the results in either ascending or descending order based on any of the attributes, eg. `[\"id ASC\", \"email\"]` or `[\"id DESC\", \"email\"]`",
                    "items": {
                      "type": "string"
                    }
                  },
                  "select": {
                    "type": "array",
                    "description": "Select what attributes to return, eg. `[\"id\", \"project_id\", \"user_id\", \"email\", \"email_addressable\"]`",
                    "items": {
                      "type": "string"
                    }
                  },
                  "condition": {
                    "type": "string",
                    "format": "json",
                    "description": "Filter the user profiles based on some criteria, eg. `[ [\"email_addressable\", \"=\" , 1] ]`"
                  },
                  "limit": {
                    "type": "integer",
                    "format": "int32",
                    "description": "Used with *offset* for pagination, eg. `\"limit\": 50, \"offset\": 0` returns a max of 50 results starting at position 0"
                  },
                  "offset": {
                    "type": "string",
                    "description": "Used with *limit* for pagination"
                  }
                }
              },
              "examples": {
                "Get all email addressable profiles paginated": {
                  "value": {
                    "apptoken": "YOUR_APPTOKEN",
                    "condition": [
                      [
                        "email_addressable",
                        "=",
                        "0"
                      ]
                    ],
                    "limit": "50",
                    "offset": "0"
                  }
                },
                "Get unsubscribed addressable profiles with email": {
                  "value": {
                    "apptoken": "YOUR_APPTOKEN",
                    "select": [
                      "email"
                    ],
                    "condition": [
                      [
                        "email_subscription",
                        "=",
                        "0"
                      ],
                      [
                        "email_addressable",
                        "=",
                        "1"
                      ],
                      [
                        "email",
                        "is not",
                        null
                      ]
                    ],
                    "order": [
                      "id ASC",
                      "id"
                    ],
                    "limit": "50",
                    "offset": "0"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "11eb0ca1064e5d178bc7061c72c7ac00"
                          },
                          "email": {
                            "type": "string",
                            "example": "info@example.com"
                          },
                          "email_addressable": {
                            "type": "integer",
                            "example": "1",
                            "default": "0"
                          },
                          "email_subscription": {
                            "type": "integer",
                            "example": "1",
                            "default": "0"
                          },
                          "timezone": {
                            "type": "string",
                            "example": "Europe/Dublin"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "200",
                      "data": [
                        {
                          "id": "11eb0ca1064e5d178bc7061c72c7ac00",
                          "email": "info@example.com",
                          "email_addressable": "1",
                          "email_subscription": "1",
                          "timezone": "Europe/Dublin"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "User Profile Methods"
        ]
      }
    }
  }
}
````

